PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
plask::MaterialInfo::Link Struct Reference

Represent link ("see also") to property in class. More...

`#include <plask/material/info.hpp>`

Collaboration diagram for plask::MaterialInfo::Link:
[legend]

## Public Member Functions
| Link (std::string className, PROPERTY_NAME property, std::string note=std::string())
| Link (const std::string &to_parse)
| Construct a link from a string.
std::string | str () const
| Construct a string in format "class_name.property info".

## Public Attributes
std::string | className
| Class name.
PROPERTY_NAME | property
| Property.
std::string | note
| Link note.

## Detailed Description

Represent link ("see also") to property in class.

Definition at line 123 of file info.hpp.

## Constructor & Destructor Documentation

## ◆ Link() [1/2]

plask::MaterialInfo::Link::Link | ( | std::string | className,
|  | PROPERTY_NAME | property,
|  | std::string | note = `std::string()`
| ) |  |
| inline

Definition at line 131 of file info.hpp.

## ◆ Link() [2/2]

plask::MaterialInfo::Link::Link | ( | const std::string & | to_parse | ) |

Construct a link from a string.

Parameters

  to_parse | the string to parse, in form "class_name.property info"

Definition at line 105 of file info.cpp.

## Member Function Documentation

## ◆ str()

std::string plask::MaterialInfo::Link::str | ( |  | ) | const

Construct a string in format "class_name.property info".

Returns
  the string constructed

Definition at line 112 of file info.cpp.

## Member Data Documentation

## ◆ className

std::string plask::MaterialInfo::Link::className

Class name.

Definition at line 125 of file info.hpp.

## ◆ note

std::string plask::MaterialInfo::Link::note

Link note.

Definition at line 129 of file info.hpp.

## ◆ property

PROPERTY_NAME plask::MaterialInfo::Link::property

Property.

Definition at line 127 of file info.hpp.

The documentation for this struct was generated from the following files:

- plask/material/info.hpp
- plask/material/info.cpp